Bug 150322 - portmap needed on nfs client to mount nfs filesystem but not documented
Summary: portmap needed on nfs client to mount nfs filesystem but not documented
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-04 16:45 UTC by Mark Johnson
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:06:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Johnson 2005-03-04 16:45:24 UTC
Description of problem:

The documentation for RHEL 3 and 4 say that to mount a NFS filesystem
you run:

  mount shadowman.example.com:/misc/export /misc/local

However if portmap is not running on the client the mount will take
five minutes (it does succeed however and access to filesystem works
as expected afterwards).  After portmap is started the mount takes the
expected amount of time (< 1s)

The documentation does not mention that portmap should be running on
the client.  In the case of a "one off" mount on a client that does
not normally run the portmapper the behaviour is bad.

Version-Release number of selected component (if applicable):


How reproducible:

Everytime

Steps to Reproduce:
1. mount shadowman.example.com:/misc/export /misc/local
2.
3.
  
Actual results:

Mount succeeds after five minutes.

From /var/adm/messages:

Mar  3 15:56:23 clienthostname kernel: portmap: server localhost not
responding, timed out


Expected results:

Mount succeeds in timely fashion.

Additional info:

Comment 1 Steve Dickson 2005-09-06 11:16:13 UTC
I think it would be hard to try and document every single
failure or hang case. As I will agree is very annoying to
have a mount hang for mins before failing, I feel the real
problem is why is the portmapper not coming up or why
is it dying.... 

Comment 3 RHEL Product and Program Management 2007-10-19 19:06:40 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.